[Deprecated]: V2.0
get
/ec-designer-svc/rest/v2.0/studies/{studyId}/versions/{version}/kits
Deprecated: Use latest version instead. Retrieves kit definitions configured for the specified study version. Optional kitType and kitTypeExclude query parameters filter which kit categories are returned. The response includes kit settings, unit settings, dosing details, titration settings, advanced dosing groups, and validation details when present.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object KitDto v2.0
Title:
KitDto v2.0Kit details.
Nested Schema : KitDto v2.0
Type:
objectTitle:
KitDto v2.0Kit details.
Show Source
-
dosage: number
(double)
Dosage.Example:
50 -
dosings: array
dosings
-
id: string
(uuid)
-
isDefault: boolean
Is kit default.Example:
true -
kitid: string
(uuid)
Kit GUID
-
kitSettings: object
KitSettingsDto v2.0
Title:
KitSettingsDto v2.0Contains settings information on the kit. -
kitUnitSettings: object
KitUnitSettingsDto v2.0
Title:
KitUnitSettingsDto v2.0Contains unit settings information on the kit. -
studyId: string
(uuid)
Study GUID
-
studyVersionEnd: string
(date-time)
Study version end
-
studyVersionStart: string
(date-time)
Study version start
-
versionEnd: string
(date-time)
Version End
-
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Nested Schema : dosings
Type:
Show Source
array-
Array of:
object KitDosingDto v2.0
Title:
KitDosingDto v2.0Information on a calculated dose.
Nested Schema : KitSettingsDto v2.0
Type:
objectTitle:
KitSettingsDto v2.0Contains settings information on the kit.
Show Source
-
calculatingDoses: boolean
Indicates if the kit has calculating dosesExample:
true -
distributionSetting: string
Indicates if the kit blinded or unblindedExample:
BLINDED -
kitDescription: string
The kit descriptionExample:
ORS-123(IP 0.01%) -
kitTypeId: string
The kit type idExample:
Type -
minShipUnits: integer
(int64)
The minimum kit to shipExample:
10 -
storageSetting: string
The storage temperatureExample:
AMBIENT -
trialSupplyType: string
The kit typeExample:
BOTTLE
Nested Schema : KitUnitSettingsDto v2.0
Type:
objectTitle:
KitUnitSettingsDto v2.0Contains unit settings information on the kit.
Show Source
-
singleUnitDose: object
KitDosingValueUnitsDto v2.0
Title:
KitDosingValueUnitsDto v2.0Describes the value/unit pair of the measurement on the calculated dose. -
unitsPerKit: number
(double)
The number of units per kitExample:
20
Nested Schema : KitDosingDto v2.0
Type:
objectTitle:
KitDosingDto v2.0Information on a calculated dose.
Show Source
-
dose: object
KitDosingDoseDto v2.0
Title:
KitDosingDoseDto v2.0Dose information on the calculated dose. -
id: string
(uuid)
Dosing GUID
-
measurement: object
KitDosingMeasurementDto v2.0
Title:
KitDosingMeasurementDto v2.0Kit and subject measurement information on a calculated dose. -
name: string
Dosing display nameExample:
Name -
question: object
KitDosingQuestionDto v2.0
Title:
KitDosingQuestionDto v2.0Form and question information on the calculated dose. -
visit: object
KitDosingVisitDto v2.0
Title:
KitDosingVisitDto v2.0Visit information on the calculated dose.
Nested Schema : KitDosingDoseDto v2.0
Type:
objectTitle:
KitDosingDoseDto v2.0Dose information on the calculated dose.
Show Source
-
frequency: string
Dosing frequencyExample:
Before bedtime -
leftOverUnits: boolean
Use leftover units in next doseExample:
true -
precision: integer
(int32)
Precision for each doseExample:
1 -
roundUp: integer
(int32)
Rounded up for dosing calculationExample:
1
Nested Schema : KitDosingMeasurementDto v2.0
Type:
objectTitle:
KitDosingMeasurementDto v2.0Kit and subject measurement information on a calculated dose.
Show Source
-
kit: object
KitDosingValueUnitsDto v2.0
Title:
KitDosingValueUnitsDto v2.0Describes the value/unit pair of the measurement on the calculated dose. -
subject: object
KitDosingValueUnitsDto v2.0
Title:
KitDosingValueUnitsDto v2.0Describes the value/unit pair of the measurement on the calculated dose.
Nested Schema : KitDosingQuestionDto v2.0
Type:
objectTitle:
KitDosingQuestionDto v2.0Form and question information on the calculated dose.
Show Source
-
formId: string
(uuid)
The form Id
-
itemId: string
(uuid)
The question Id
Nested Schema : KitDosingVisitDto v2.0
Type:
objectTitle:
KitDosingVisitDto v2.0Visit information on the calculated dose.
Show Source
-
id: string
(uuid)
The visit Id
-
type: string
The type of visit, eg. screening, scheduled, or currentExample:
screening
Nested Schema : KitDosingValueUnitsDto v2.0
Type:
objectTitle:
KitDosingValueUnitsDto v2.0Describes the value/unit pair of the measurement on the calculated dose.
Show Source
-
units: string
The unit of a measurementExample:
mg -
value: number
(double)
The value of a measurementExample:
50
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}